# TODO:
# - fix build with libtool-2
#
# Conditional build:
%bcond_without	static_libs	# don't build static libraries
#
Summary:	Truetype font rasterizer
Summary(pl.UTF-8):	Rasteryzer fontów Truetype
Name:		freetype1
Version:	1.3.1
Release:	16
License:	BSD-like
Group:		Libraries
Source0:	ftp://ftp.freetype.org/freetype/freetype1/freetype-%{version}.tar.gz
# Source0-md5:	9a9e7ad00c1ef6dfbf8f8e19ceefb300
Patch0:		freetype-DESTDIR.patch
Patch1:		freetype-autoconf.patch
Patch2:		%{name}-po.patch
Patch3:		freetype-gcc33.patch
Patch4:		%{name}-parallel-make.patch
Patch5:		%{name}-link.patch
Patch6:		format-security.patch
URL:		http://freetype.sourceforge.net/freetype1/index.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-tools
BuildRequires:	libtool
BuildRequires:	xorg-lib-libX11-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The FreeType engine is a free and portable TrueType font rendering
engine. It has been developed to provide TrueType support to a great
variety of platforms and environments.

Note that FreeType is a *library*. It is not a font server for your
favorite platform, even though it was designed to be used in many of
them. Note also that it is *not* a complete text-rendering library.
Its purpose is simply to open and manage font files, as well as load,
hint and render individual glyphs efficiently. You can also see it as
a "TrueType driver" for a higher-level library, though rendering text
with it is extremely easy, as demo-ed by the test programs.

%description -l pl.UTF-8
FreeType jest biblioteką służącą do rasteryzacji fontów TrueType. Jest
to jedynie biblioteka, a nie serwer fontów, chociaż została ona
zaprojektowana do używania także w takich serwerach. Nie jest to też
kompletna biblioteka do rasteryzacji tekstu. Jej celem jest tylko
odczytywanie i zarządzanie plikami z fontami oraz wczytywanie i
wykonywanie hintingu i rasteryzacji poszczególnych glifów. Może być
także uważana za "sterownik TrueType" dla bibliotek wyższego poziomu,
jednak użycie samej biblioteki FreeType do rasteryzacji jest bardzo
proste, co można zobaczyć w programach demonstracyjnych.

%package devel
Summary:	Header files and development documentation
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki freetype i dokumentacja
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	freetype-devel = %{version}

%description devel
This package includes the header files documentations and libraries
necessary to develop applications that use freetype.

%description devel -l pl.UTF-8
Pakiet ten zawiera pliki nagłówkowe oraz biblioteki niezbędne przy
kompilowaniu programów wykorzystujących bibliotekę freetype.

%package static
Summary:	Freetype static libraries
Summary(pl.UTF-8):	Biblioteki statyczne freetype
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Provides:	freetype-static = %{version}

%description static
Static freetype libraries.

%description static -l pl.UTF-8
Biblioteki statyczne freetype.

%package progs
Summary:	Freetype library utilities
Summary(pl.UTF-8):	Programy użytkowe freetype
Group:		Applications
Requires:	%{name} = %{version}-%{release}
Provides:	freetype-progs = %{version}
Obsoletes:	freetype-utils
Obsoletes:	freetype-tools

%description progs
Freetype library utilites:
- ftimer - a simple performance timer for the engine,
- fzoom - very simple glyph viewer,
- ftlint - program will hint each glyph of a font file, at a given
  point size,
- ftwiew - display all glyphs in a given font, applying hinting to
  each one,
- fdump - a simple TrueType font or collection dumper,
- ftstring - a simple program to show off string text generation.
- ftstrpn - convert a rendered text string into the PGM or PBM format,
- fterror - small test program. Tests the gettext() functionality for
  internationalized messages.

%description progs -l pl.UTF-8
Przykładowe aplikacje wykorzystujące freetype:
- ftimer - narzędzie mierzące szybkość silnika
- fzoom - prosta przeglądarka glifów
- ftlint - program robiący hinting każdego glifu z fontu przy podanym
  rozmiarze
- ftview - program wyświetlający z hintingiem wszystkie glify z fontu
- fdump - narzędzie zrzucające dane z fontu lub zestawu fontów TT
- ftstring - prosty program obrazujący generowanie tekstu
- ftstrpn - konwerter zrenderowanego tekstu na format PGM/PBM
- fterror - prosty program testujący działanie gettext() w
  zlokalizowanych komunikatach.

%prep
%setup -q -n freetype-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
install /usr/share/automake/missing .
%{__gettextize}
# gettextize stupidity (doesn't see intl/Makefile in next lines after AC_OUTPUT)
sed -e 's@\(AC_OUTPUT.*\) intl/Makefile@\1@' configure.in > configure.in.tmp
mv -f configure.in.tmp configure.in
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure \
	%{?with_static_libs:--enable-static} \
        --with-gnu-ld
%{__make}

cd contrib
# ttf2pfb ttf2pk don't build
for bdir in ttf2bdf ttfbanner; do
	cd $bdir
	%{__libtoolize}
	%{__aclocal}
	%{__autoconf}
	%configure
	%{__make} -j1
	cd ..
done

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang freetype

# resolve conflict with freetype-demos-2.*
mv -f $RPM_BUILD_ROOT%{_bindir}/{ftdump,ft1dump}
mv -f $RPM_BUILD_ROOT%{_bindir}/{ftlint,ft1lint}
mv -f $RPM_BUILD_ROOT%{_bindir}/{ftview,ft1view}
mv -f $RPM_BUILD_ROOT%{_bindir}/{fttimer,ft1timer}

for bdir in ttf2bdf ttfbanner; do
	%{__make} install -C contrib/$bdir \
		DESTDIR=$RPM_BUILD_ROOT
done

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f freetype.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libttf.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libttf.so.2

%files devel
%defattr(644,root,root,755)
%doc howto/unix.txt README announce docs/{*.txt,FAQ,TODO,credits}
%attr(755,root,root) %{_libdir}/libttf.so
%{_libdir}/libttf.la
%{_includedir}/*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%endif

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/f*
%attr(755,root,root) %{_bindir}/ttf*
%{_mandir}/man1/ttf2bdf.1*
%changelog
* Tue Feb 24 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/freetype1.git;a=log;h=master

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 1e35564
- x32 rebuild
- release 16 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 7149972
- updated gettext BR

* Wed Dec 12 2012 Jan Rękorajski <baggins@pld-linux.org> edde2b1
- fix format string warning
- rel 15

* Mon Nov 16 2009 zbyniu <zbyniu@pld-linux.org> 9a9b505
- build/package to -progs ttf2bdf and ttfbanner from contrib/; rel 14

* Thu Oct 08 2009 Jakub Bogusz <qboosh@pld-linux.org> 173fc71
- added link patch to avoid pulling additional xorg deps (SM and ICE)

* Thu Oct 08 2009 Jakub Bogusz <qboosh@pld-linux.org> 2919c63
- avoid -lSM -lICE, use LDFLAGS

* Wed Jun 17 2009 hawk <hawk@pld-linux.org> e792fe3
- release 13

* Sat Apr 11 2009 Adam Gołębiowski <adamg@pld-linux.org> e871530
- new

* Sat Apr 11 2009 Adam Gołębiowski <adamg@pld-linux.org> e94ce87
- fix build with make -jX

* Fri Jan 09 2009 pawelz <pawelz@pld-linux.org> 209457c
- rel 12

* Fri Jan 09 2009 pawelz <pawelz@pld-linux.org> a0fceeb
- fixes in %%files section

* Sun Jun 22 2008 Karol Krenski <charles@pld-linux.org> 5a1103d
- new URL
- added TODO and without static_libs bcond

* Tue Jun 03 2008 Karol Krenski <charles@pld-linux.org> 0343cb3
- modular xorg deps

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 9536265
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 82533f1
- converted to UTF-8

* Sun Sep 03 2006 Elan Ruusamäe <glen@pld-linux.org> 2866b69
- strict internal deps

* Sat Sep 25 2004 radek <radek@pld-linux.org> 38e17c3
- cosmetics (spaces -> tabs)

* Mon Apr 26 2004 Adam Gołębiowski <adamg@pld-linux.org> f9c4c9c
- release 11 for Ac (10 is for Ra)

* Mon Sep 01 2003 ankry <ankry@pld-linux.org> 64b1555
- b61bbf51a4d097394f80deab8222cf19  freetype1-po.patch

* Mon Sep 01 2003 ankry <ankry@pld-linux.org> a236e81
- po encoding/header fixes

